io.undertow.server.handlers

## Interface HttpUpgradeHandshake

    public interface HttpUpgradeHandshake

Server side upgrade handler. This handler can inspect the request and modify the response.

If the request does not meet this handlers requirements it should return false to allow other upgrade handlers to inspect the request.

If the request is invalid (e.g. security information is invalid) this should thrown an IoException. if this occurs no further handlers will be tried.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `handleUpgrade(HttpServerExchange exchange)` Validates an upgrade request and returns any extra headers that should be added to the response.

### Method Detail

#### handleUpgrade

    boolean handleUpgrade(HttpServerExchange exchange)
                   throws IOException

Validates an upgrade request and returns any extra headers that should be added to the response.

Parameters:
  `exchange` - the server exchange
Returns:
  `true` if the handshake is valid and should be upgraded. False if it is invalid
Throws:
  `IOException` - If the handshake is invalid